net.sf.jasperreports.engine.util

## Class SwapFileVirtualizerStoreFactory

- java.lang.Object
- - net.sf.jasperreports.engine.util.SwapFileVirtualizerStoreFactory

- All Implemented Interfaces:
    VirtualizerStoreFactory

      public class SwapFileVirtualizerStoreFactory
      extends java.lang.Object
      implements VirtualizerStoreFactory

  Version:
    $Id: SwapFileVirtualizerStoreFactory.java 6588 2013-10-14 14:00:30Z lucianc $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwapFileVirtualizerStoreFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VirtualizerStore` | `createStore(JRVirtualizationContext virtualizationContext)`
    `int` | `getBlockSize()`
    `StreamCompression` | `getCompression()`
    `java.lang.String` | `getDirectory()`
    `int` | `getMinGrowCount()`
    `void` | `setBlockSize(int blockSize)`
    `void` | `setCompression(StreamCompression compression)`
    `void` | `setDirectory(java.lang.String directory)`
    `void` | `setMinGrowCount(int minGrowCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwapFileVirtualizerStoreFactory

          public SwapFileVirtualizerStoreFactory()

  - ### Method Detail

    - #### createStore

          public VirtualizerStore createStore(JRVirtualizationContext virtualizationContext)

      Specified by:
        `createStore` in interface `VirtualizerStoreFactory`

    - #### getDirectory

          public java.lang.String getDirectory()

    - #### setDirectory

          public void setDirectory(java.lang.String directory)

    - #### getBlockSize

          public int getBlockSize()

    - #### setBlockSize

          public void setBlockSize(int blockSize)

    - #### getMinGrowCount

          public int getMinGrowCount()

    - #### setMinGrowCount

          public void setMinGrowCount(int minGrowCount)

    - #### getCompression

          public StreamCompression getCompression()

    - #### setCompression

          public void setCompression(StreamCompression compression)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com